Subject: Re: What's not in 'master', and likely not to be until 1.5.4

From: Jakub Narebski <[email-masked]>
Date: Fri, 18 Jan 2008 03:26:50 -0800 (PST)

Junio C Hamano <[email-masked]> writes:

> Here is an update to the list I sent earlier.  Topics that I
> thought may deserve attention, discussion and eventual inclusion
> but are not 1.5.4 material.
> 
> I think some of them actually have a slight chance of being
> 1.5.4 material, if interested parties present good enough
> arguments that they are actually good and safe bugfixes.
 
>  * submodule subcommand parser fix for "git submodule add init
>    update" (Imran M Yousuf and me)

Isn't it a bugfix, and shouldn't it for this reason be in 1.5.4?
 
>  * gitweb feed from commit to commitdiff (Florian La Rouche --
>    Jakub seems to be on top of this so I am not worried about it
>    too much).

What need IMHO to be changed is commit message: state stronger
that the only thing that changed is that feed entry refers now
to 'commitdiff' view rather than 'commit' view. I can agree that
it might be better... but I do not use gitweb feeds myself.

Reasonably post 1.5.4

> Again, I am hoping that authors will resend the ones they really
> care about after 1.5.4, as I do not want to take patches early.

-- 
Jakub Narebski
Poland
ShadeHawk on #git